/*
 File: knu3.cpp
 Date and Time: Tue Nov  4 18:08:44 2008 
*/
#include "knu3.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_knu3;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 5;
 per_rule_s_table_[0] = (Per_rule_s_reuse_table*) new reuse_rule1_table_type();
 per_rule_s_table_[1] = (Per_rule_s_reuse_table*) new reuse_rule2_table_type();
 per_rule_s_table_[2] = (Per_rule_s_reuse_table*) new reuse_rule3_table_type();
 per_rule_s_table_[3] = (Per_rule_s_reuse_table*) new reuse_rule4_table_type();
 per_rule_s_table_[4] = (Per_rule_s_reuse_table*) new reuse_rule5_table_type();
}
  Cknu3::
  Cknu3()
    :yacco2::CAbs_fsm
      ("knu26.lex"
      ,"1.0"
      ,"23 oct 2008"
      ,true
      ,"knuth grammar (26)"
      ,"Tue Nov  4 18:08:44 2008 "
      ,S1_Cknu3){
    
  }
 
Cknu3::~Cknu3(){

  for(int x = 0;x < 5;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
}

  bool Cknu3::failed(){
      return false;
  }
  void Cknu3::op(){
}
int Cknu3::rhs_to_rules_mapping_[10] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
 ,2 // subrule 4 for rule 3
 ,2 // subrule 5 for rule 3
 ,3 // subrule 6 for rule 4
 ,3 // subrule 7 for rule 4
 ,4 // subrule 8 for rule 5
 ,4 // subrule 9 for rule 5
};
RS::RS(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RS",0,Cknu3::R_RS_,P,false,false){
 
}

RB::RB(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RB",0,Cknu3::R_RB_,P,false,false){
 
}

RL::RL(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RL",0,Cknu3::R_RL_,P,false,false){
 
}

RR::RR(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RR",0,Cknu3::R_RR_,P,false,false){
 
}

RN::RN(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RN",0,Cknu3::R_RN_,P,false,false){
 
}

